#include<iostream>
#include<list>
#include<algorithm>
using namespace std;
long long a[1000000], n, br=0,br1=0,br2=0,br3=0,br4=0,br5=0,br6=0,br7=0,br8=0,br9=0,br0=0,najv,ind,b,maxx=0,maxi=0,broj=0;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    cin>>n;
    b=n;
   while(n!=0){
   		
        n/=10;
        br++;
        
    }
    n=b;
    for(int i=0;i<br;i++){
        a[i]=n%10;
        n/=10;
    }
    reverse(a,a+br);
    maxx=a[0];
	for(int i=0;i<br;i++){
		if(a[i]>maxx){
			maxx=a[i];
			maxi=i;
		}
	}
	if(maxi==0){
		a[1]=maxx;
		broj++;
	}
	for(int i=1;i<br-1;i++){
			if(a[i]==maxx && a[i-1]!=maxx){
			a[i-1]--;
			broj++;
		}
	}

	cout<<broj;
	
	
	

    return 0;
}